# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free
%define namedversion   3.0b

Name:           subethasmtp
Version:        3.0
Release:        1%{dist}
Epoch:          0
Summary:        Java command line option parsing suite

Group:          Development/Libraries/Java
License:        Apache License 2.0
URL:            http://code.google.com/p/subethasmtp
Source0:        http://subethasmtp.googlecode.com/files/subethasmtp-3.0b.zip
#Source1:        %{name}-%{namedversion}.pom
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  ant-junit
BuildRequires:  glassfish-javamail
BuildRequires:  jaf_1_1_api
BuildRequires:  junit4
BuildRequires:  slf4j

Requires:  java >= 0:1.5.0
Requires:  glassfish-javamail
Requires:  jaf_1_1_api
Requires:  slf4j

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
SubEtha SMTP is a Java library which allows your application
to receive SMTP mail with a simple, easy-to-understand API.
This component can be used in almost any kind of email 
processing application. Hypothetical (and not-so 
hypothetical) uses include:
* A mailing list manager (see SubEthaMail)
* A mail server that delivers mail to user inboxes
* A mail archiver like The Mail Archive
* An email test harness (see Wiser)
* An email2fax system 
SubEthaSMTP's simple, low-level API is suitable for writing
almost any kind of mail-receiving application.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q 
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
pushd lib
ln -sf $(build-classpath slf4j/api) slf4j-api-1.5.6.jar
ln -sf $(build-classpath slf4j/simple) slf4j-simple-1.5.6.jar
ln -sf $(build-classpath junit4) junit-4.5.jar
ln -sf $(build-classpath glassfish-javamail-monolithic) mail.jar
ln -sf $(build-classpath jaf_1_1_api) activation.jar
popd

%build
ant smtp-jar junit javadoc

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/subethasmtp.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# # pom
# install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
# install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
# add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
#%{_datadir}/maven2/poms/*
#%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Thu Jun 04 2009 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1.jpp5
- First release
 
